When I executed `rake test_postgresql` in rails/active_record. I found warning in mocha.

10 views
Skip to first unread message

kennyj

unread,
Feb 11, 2012, 9:45:02 AM2/11/12
to mocha-developer
Dear mocha-developer.

I'm a rails contributor.

When I executed `rake test_postgresql` in rails/active_record. I found
a warning in mocha.
I'm using ruby-1.9.3-p0.

/home/kennyj/.rvm/gems/ruby-1.9.3-p0/gems/mocha-0.10.4/lib/mocha/
mock.rb:9: warning: loading in progress, circular require considered
harmful - /home/kennyj/.rvm/gems/ruby-1.9.3-p0/gems/mocha-0.10.4/lib/
mocha/mockery.rb

In mocha/mockery.rb
...
require 'mocha/mock' # the cause of problem ???
...

James Mead

unread,
Feb 11, 2012, 3:57:42 PM2/11/12
to mocha-d...@googlegroups.com
I've added your bug report as a Github issue [1].

Thanks, James.

--
You received this message because you are subscribed to the Google Groups "mocha-developer" group.
To post to this group, send email to mocha-d...@googlegroups.com.
To unsubscribe from this group, send email to mocha-develop...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/mocha-developer?hl=en.


James Mead

unread,
Feb 11, 2012, 4:21:31 PM2/11/12
to mocha-d...@googlegroups.com
On 11 Feb 2012, at 14:45, kennyj wrote:


I've attempted a fix in [1]. Any chance you could see whether this fixes your problem?

Thanks, James.

Reply all
Reply to author
Forward
0 new messages